
package de.ivu.elect.presentation.gruppe.menu;

import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.gruppe.GruppeUebernehmenView;

public class GruppeUebernehmenMenuItemEntry extends AbstractGruppeMenuItemEntry {

  private static final long serialVersionUID = 1L;

  public GruppeUebernehmenMenuItemEntry() {
    super();
  }

  @Override
  protected UseCasePermission getRequiredUseCasePermission() {
    return UseCasePermission.GRUPPE_UEBERNEHMEN;
  }

  @Override
  public String getTargetViewId() {
    return GruppeUebernehmenView.VIEW_ID;
  }

  @Override
  public String getLabelKey() {
    return "gruppe.uebernehmen.menu.item.label";
  }

  @Override
  public String getIcon() {
    return getIcons().getIconCopy();
  }
}
